Subject: Re: LDAPBind in ldap-java-api-11.txt

From: Rob Weltman <[email-masked]>
Date: Mon, 16 Oct 2000 10:39:09 -0700

I guess that's OK. RFC 2251 says:

"If the client wishes to progress the operation, it MUST follow the
referral by contacting any one of servers.  All the URLs MUST be equally
capable of being used to progress the operation."

  That means there is no order to the list, and a client is free to
contact any one of the servers listed.

Rob

Steve Sonntag wrote:

>  Re: LDAPBind, section 4.4
>
> I was just thinking about the LDAPBind functionality, specifically the
> bind method.
>
> Would it make sense to pass into the bind method the whole array
> of referral strings associated with a referral, i.e.
>
> public LDAPConnection bind(String[] ldapurl, LDAPConnection conn)
>                     throws LDAPException
>
> The semantics are that the application implementing the LDAPBind
> interface
> binds with one server in the list and then returns the connection.  If
> it cannot
> bind with any, it throws an appropriate LDAPException.
>
> This allows the application use its own mechanisms to make a "best
> choice"
> out of the list of servers and to see the whole list at once.
>
> What do you think?  Is this an improvement or a cause for confusion?
>
> -Steve
>
>
>
> ------------------------
> Steve Sonntag
> Novell, Inc., the leading provider of Net services software
>
>